Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
task_id_list = client.cloud.inference.applications.deployments.delete(
deployment_name="deployment_name",
project_id=1,
)
print(task_id_list.tasks)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
taskIDList, err := client.Cloud.Inference.Applications.Deployments.Delete(
context.TODO(),
"deployment_name",
cloud.InferenceApplicationDeploymentDeleteParams{
ProjectID: gcore.Int(1),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", taskIDList.Tasks)
}
curl --request DELETE \
--url https://api.gcore.com/cloud/v3/inference/applications/{project_id}/deployments/{deployment_name} \
--header 'Authorization: <api-key>'const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v3/inference/applications/{project_id}/deployments/{deployment_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tasks": [
"d478ae29-dedc-4869-82f0-96104425f565"
]
}Everywhere Inference Apps
Delete inference application deployment
Deletes an existing application deployment along with all associated resources. This action will permanently remove the deployment and terminate all related inference instances that are part of the application.
DELETE
/
cloud
/
v3
/
inference
/
applications
/
{project_id}
/
deployments
/
{deployment_name}
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
task_id_list = client.cloud.inference.applications.deployments.delete(
deployment_name="deployment_name",
project_id=1,
)
print(task_id_list.tasks)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
taskIDList, err := client.Cloud.Inference.Applications.Deployments.Delete(
context.TODO(),
"deployment_name",
cloud.InferenceApplicationDeploymentDeleteParams{
ProjectID: gcore.Int(1),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", taskIDList.Tasks)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
Example:
1
Name of deployment
Response
200 - application/json
OK
List of task IDs representing asynchronous operations. Use these IDs to monitor operation progress:
GET /v1/tasks/{task_id}- Check individual task status and details Poll task status until completion (FINISHED/ERROR) before proceeding with dependent operations.
Example:
["d478ae29-dedc-4869-82f0-96104425f565"]
Was this page helpful?